"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.prettify = void 0;
const standalone_1 = __importDefault(require("prettier/standalone"));
const parser_babel_1 = __importDefault(require("prettier/parser-babel"));
function prettify(code, parser = 'javascript-expression', formatOptions = {}) {
    return standalone_1.default
        .format(code, {
        plugins: [parser_babel_1.default],
        printWidth: 50,
        parser: parser === 'javascript-expression'
            ? // Default babel parser in prettier only understands statements /
                // "programms" well, formatting something like `{ foo: 1 }` by default
                // will format it as a block with labels. As all the code that we will
                // format will mostly be expressions, we use internal `__js_expression`
                // parser instead of default `babel` for this case
                '__js_expression'
            : parser === 'json'
                ? 'json'
                : 'babel',
        trailingComma: 'none',
        ...formatOptions,
    })
        .trim();
}
exports.prettify = prettify;
//# sourceMappingURL=prettify.js.map